#!/bin/sh
# weekly.sh - 9 Feb 2004 - Robert J. Clay
# what to do weekly for Rocasa BBBS, bbs.rocasa.org
#
BBBSDIR=/opt/bbbs
WORKDIR=$BBBSDIR/work
SCRIPTS=$BBBSDIR/scripts

cd $BBBSDIR

#             post info in echos & as html
#   chat.* echos
nohup $SCRIPTS/chatstatwk.sh &

#   sff.* echos
nohup $SCRIPTS/sffstatwk.sh &

#   pc.* echos
nohup $SCRIPTS/pcstatwk.sh &

#   os. * echos
nohup $SCRIPTS/osstatwk.sh &

#   mi.* newsgroups
nohup $SCRIPTS/mistatswk.sh &

#   alt.* newsgroups
nohup $SCRIPTS/altstatswk.sh &

##   *.announce newsgroups
#nohup $SCRIPTS/annnntpwk.sh &

##   redhat.* newsgroups
#nohup $SCRIPTS/rhnntpwk.sh &

#   ftn* echos
nohup $SCRIPTS/ftnstatwk.sh &

##   wwb* echos
#nohup $SCRIPTS/wwbstatwk.sh &
#

#  weekly stats
$BBBSDIR/scripts/bconfwk.sh 
cp $WORKPATH/bconf.txt.wk $BBBSDIR/menus/bull12
#
#   STN Echo Stats & Listing
nohup $SCRIPTS/stn/statwk.sh &
#nohup $SCRIPTS/stnechos.sh &

#   Create html Echo listings
#nohup $SCRIPTS/wwbechos.sh &
#nohup $SCRIPTS/z1bechos.sh &
#
nohup $SCRIPTS/bconfwk.sh &
#
$BBBSDIR/bbbs bcstat . -7 fido > $WORKDIR/bcstat.fido.wk 
$BBBSDIR/bbbs btxt2bbs rocasa.stats $WORKDIR/bcstat.fido.wk /F Sysop /S Weekly Totals by Echo Name

# scan out msgs
$BBBSDIR/bbbs bogus a

# post ads
nohup $SCRIPTS/postbbbsad.sh &

# process/save current nodelists 
nohup $SCRIPTS/updnl.sh

#  Purge files
$BBBSDIR/bbbs bpurge

## send a copy of configs.zip to leois 
#nohup $SCRIPTS/save2uu.sh

