#!/bin/bash
# bconfhtml.sh - 19 Jan 04 - Robert J. Clay
#
mask=002
BBBSDIR=/opt/bbbs
WORKPATH=$BBBSDIR/work
HTMLPATH=$BBBSDIR/htdocs/stats 
SCRIPTS=$BBBSDIR/scripts

# 1st parameter should be "day", "wk", or "mth"
PERIOD=$1
# 2nd parameter should be "Daily", "Weekly", or "Monthly"
PERIODLY=$2
#
cd $BBBSDIR
#   All msg areas

$BBBSDIR/bbbs bconf > $WORKPATH/bconf.txt.$PERIOD 

if [ $PERIOD != "day" ]; then
    $BBBSDIR/bbbs btxt2bbs rocasa.stats $WORKPATH/bconf.txt.$PERIOD /S $PERIODLY Stats;
fi

echo "<html>" > $WORKPATH/bconf$PERIOD.html

echo "<head><title>Rocasa BBS Conference Stats:  $PERIODLY</title></head>" >> $WORKPATH/bconf$PERIOD.html

echo "<link rel=stylesheet href=bbbs.css TYPE=text/css>"  >> $WORKPATH/bconf$PERIOD.html

echo "</head><body>"  >> $WORKPATH/bconf$PERIOD.html

echo "<a name=top><h1 align=center>Rocasa BBS $PERIODLY Conference Stats</h1></a>"  >> $WORKPATH/bconf$PERIOD.html

echo "<p align=center>This is a $PERIODLY listing of the conference statistics for all message areas carried here at Rocasa BBS. </p> "  >> $WORKPATH/bconf$PERIOD.html

echo "<p align=center>Page last updated:  `date` </p>"  >> $WORKPATH/bconf$PERIOD.html

echo "<table align=center><tr><td> <pre>"  >> $WORKPATH/bconf$PERIOD.html

cat $WORKPATH/bconf.txt.$PERIOD >> $WORKPATH/bconf$PERIOD.html

echo "</pre></td></tr></table>"  >> $WORKPATH/bconf$PERIOD.html

cat $WORKPATH/statsel.tpl >> $WORKPATH/bconf$PERIOD.html
cat $WORKPATH/tail1.tpl >> $WORKPATH/bconf$PERIOD.html
cp  $WORKPATH/bconf$PERIOD.html $HTMLPATH/bconf$PERIOD.html
#
## mirror to z1net web site
#  cobweb is not set back up yet with ftp accounts 11/2/03
#$SCRIPTS/wstatsftp.sh wbconf$PERIOD
exit 0

